Copyright: Created with EasyHelp (Tel: 0973 209667)


Logic/Window Comparator - RG350761

Description

This block implements a window comparator function and provides both non-inverted and inverted outputs.

If  Low Limit (L) < Input (in) < High Limit (H), then the output is true; otherwise the output is false.

Low Limit and High Limit are persistent.

Parameters

Input	Input to the window comparator.  Expects a value (-100% to +100%).

High Limit	High Limit for the comparator.  Expects a value (-100% to +100%).

Low Limit 	Low Limit for the comparator.  Expects a value (-100% to +100%).

Get Input	Returns the current value of the Input:  -100% to +100%.

Get High Limit	Returns the current value of the High Limit:  -100% to +100%.

Get Low Limit	Returns the current value of the Low Limit:  -100% to +100%.

Get Output	Returns the current state of the comparator:  either true or false.


Description

This block implements a window comparator function and provides both non-inverted and inverted outputs.

If Low Limit (in) < Input (in) < High Limit (H), then the output is true; otherwise the output is false.

Low Limit and High Limit are persistent.


Parameters

Input	Input to the window comparator.  Expects a value (-100% to +100%).

High Limit	High Limit for the comparator.  Expects a value (-100% to +100%).

Low Limit 	Low Limit for the comparator.  Expects a value (-100% to +100%).

Get Input	Returns the current value of the Input:  -100% to +100%.

Get High Limit	Returns the current value of the High Limit:  -100% to +100%.

Get Low Limit	Returns the current value of the Low Limit:  -100% to +100%.

Get Output	Returns the current state of the comparator:  either true or false.